Editor clàssic

Descripció

Classic Editor és una extensió oficial mantinguda per l’equip de WordPress que restaura l’editor de WordPress anterior (“clàssic”) i la pantalla “Edita l’entrada”. Permet utilitzar extensions que amplien aquesta pantalla, afegir meta-caixes d’estil antic o, d’altra manera, dependre de l’editor anterior.

Classic Editor és una extensió oficial del WordPress, i serà totalment compatible i mantinguda fins a 2024, o sempre que sigui necessari.

En resum, aquesta extensió afegeix el següent:

  • Els administradors poden seleccionar l’editor predeterminat per a tots els usuaris.
  • Els administradors poden permetre als usuaris canviar el seu editor predeterminat.
  • Si tenen permisos, els usuaris poden triar quin editor utilitzar per a cada entrada.
  • Cada entrada s’obre amb l’últim editor utilitzat independentment de qui l’hagi editat l’última vegada. Això és important per mantenir una experiència consistent a l’hora d’editar continguts.

A més, l’extensió Classic Editor inclou diversos filtres que permeten que altres extensions controlin els ajustos i l’elecció de l’editor per entrada i per tipus de contingut.

Per defecte, aquesta extensió amaga totes les funcionalitats disponibles al nou editor de blocs (“Gutenberg”).

Captures

  • Configuració de l’administrador a la pantalla Configuració -> Pantalla d’escriptura.
  • Ajustos d’usuari a la pantalla de perfil. Són visibles quan els usuaris tenen permisos per canviar d’editor.
  • “Enllaços d’acció” per triar editor alternatiu. Són visibles quan els usuaris tenen permisos per canviar d’editor.
  • Enllaç per canviar a l’editor de blocs quan s’està editant una entrada a l’editor clàssic. És visible quan els usuaris tenen permisos per canviar d’editor.
  • Enllaç per canviar a l’editor clàssic quan s’està editant una entrada a l’editor de blocs. És visible quan els usuaris tenen permisos per canviar d’editor.
  • Configuració de la xarxa per seleccionar l’editor per defecte de la xarxa i permetre que els administradors del lloc la canviïn.
  • L’enllaç “Canvia a l’editor clàssic”.

PMF

Configuració per defecte

Quan s’activa i quan s’utilitza un tema clàssic (sense blocs), aquesta extensió restaurarà l’editor de WordPress anterior (“clàssic”) i amagarà el nou editor de blocs (“Gutenberg”).
Aquesta configuració es pot canviar a la pantalla Configuració = > Escriptura.

Configuració per defecte per a la instal·lació de la xarxa

Hi ha dues opcions:

  • Quan aquesta extensió s’activa per la xarxa i quan s’utilitza un tema clàssic (sense blocs), es defineix l’editor clàssic com per defecte i evitarà que els administradors i usuaris del lloc canviïn d’editor.
    La configuració es pot canviar i l’editor de xarxa per defecte es pot seleccionar a la pantalla Configuració de la xarxa.
  • Quan no s’activi la xarxa, cada administrador del lloc podrà activar l’extensió i triar opcions per als seus usuaris.

És al menú principal de l’editor de blocs, vegeu aquesta captura de pantalla.

Funciona amb l’editor del lloc i els temes de blocs?

No, ja que els temes de blocs utilitzen blocs. Consulteu l’article sobre temes de blocs per obtenir més informació.

Ressenyes

11 de abril de 2024 1 resposta
If you do not wish to use react or gutenberg then this is perfect. I do not wish to use react and it is sad that i cannot remove it from the stack. Framework should include something robust and lightweight. everything else should be optional. gutenberg should be a plugin not core part of WP.also not all sites should be “pagebuilders”. if most of the gutenberg’s features are not used then why should you have it? Just for giving a option for modes and admins to break the page?Or if you want to build it as “unbreakable” then try to make it clear why you had to put in the extra work just to protect the site from internal people.I do currently use roots packages (sage, acorn, bedrock) + lots of laravel like personal solutions. + ACF.It has been quite good and fast flow. no need to develop admin panel etc.but it seems that WP is turning against those things that made WP good. is it worth to remove so much. I think that soon it is more logical to start building directly on laravel with good CMS on top of it (it seems that there are much more CMS packages out there than couple years back.. time goes fast).But this is just my opinion. trying to find ways how to create good sites with superb codebase (both FE and BE). I love this plugin and I hope it will stay working and supported.
28 de febrer de 2024
Pourquoi faire compliqué quand simple c’est plus efficace ? Ce widget permet de retrouver une utilisation normale de Wordpress.
Llegiu totes les 1.169 ressenyes

Col·laboradors i desenvolupadors

«Editor clàssic» és programari de codi obert. La següent gent ha col·laborat en aquesta extensió.

Col·laboradors

“Editor clàssic” s’ha traduït a 72 configuracions regionals. Gràcies als traductors per les seves aportacions.

Traduïu «Editor clàssic» a la vostra llengua.

Interessats en el desenvolupament?

Navegueu pel codi, baixeu-vos el repositori SVN, o subscriviu-vos al registre de desenvolupament per fisl de subscripció RSS.

Registre de canvis

1.6.3

  • S’han afegit algunes correccions del WPCS, gràcies a NicktheGeek a GitHub.
  • S’ha actualitzat “Provat fins a” al readme i s’ha eliminat de classic-editor.php. Això hauria de solucionar errors de falsos positius a les extensions de seguretat en el futur.

1.6.2

  • S’ha corregit un error que impedia desar l’últim editor utilitzat.

1.6.1

  • S’ha corregit un avís a la pantalla de widgets basada en l’editor de blocs.
  • S’ha corregit l’ús d’un filtre obsolet.

1.6

  • Actualitzat per al WordPress 5.5.
  • S’han solucionat problemes menors amb la crida a funcions obsoletes, l’innecessari registre del ganxo de desinstal·lació, i les majúscules d’algunes cadenes.

1.5

  • Actualitzat per al WordPress 5.2 i per al Gutenberg 5.3.
  • S’ha millorat i solucionat la lògica “publicacions obertes a l’últim editor utilitzat per editar-les”.
  • S’ha solucionat l’estat d’afegir l’entrada perquè es pugui accedir fàcilment des d’altres extensions.

1.4

  • A les instal·lacions de xarxa, s’ha eliminat la restricció només per a l’activació de xarxa.
  • S’ha afegit suport per als administradors de xarxa, per triar l’editor predeterminat de tota la xarxa.
  • S’ha corregit l’enllaç de configuració de l’avís a la pantalla Quant a la xarxa.
  • S’ha afegit correctament l’element de menú “Canvia a l’editor clàssic” al menú de l’editor de blocs.

1.3

  • S’ha corregit la supressió del giny del tauler “Prova Gutenberg”.
  • S’ha corregit la condició per mostrar l’avís posterior a l’actualització a la pantalla “Novetats”. Es mostra quan es selecciona l’editor clàssic i els usuaris no poden canviar d’editor.

1.2

  • S’ha corregit el canvi de l’editor des de la pantalla ‘Afegeix una nova’ (publicació) abans de desar un esborrany de publicació.
  • S’ha corregit l’error tipogràfic que afegia l’URL d’edició a la query var classic-editor.
  • S’ha canviat la detecció de WordPress 5.0 per no utilitzar la comprovació de versions. Soluciona un error en provar 5.1-alfa.
  • S’ha canviat el valor predeterminat de l’opció per permetre als usuaris canviar l’editor a fals.
  • S’ha afegit la desactivació de l’extensió Gutenberg i s’ha baixat la versió necessària de WordPress a la 4.9.
  • S’ha afegit el filtre classic_editor_network_default_settings.

1.1

S’ha corregit un error, en què es podia intentar carregar l’editor de blocs per als tipus de publicacions que no admeten l’editor quan es permet als usuaris canviar d’editor.

1.0

  • Actualitzat per al WordPress 5.0.
  • S’han canviat tots els noms/referències “Gutenberg” a “l’editor de blocs”.
  • S’ha actualitzat la interfície d’usuari de configuració.
  • S’ha eliminat la desactivació de l’extensió Gutenberg. Això es va afegir per provar-lo a WordPress 4.9. Els usuaris que vulguin continuar seguint el desenvolupament de Gutenberg a WordPress 5.0 i posteriors no necessitaran cap altre extensió per desactivar-lo.
  • S’ha afegit suport per a la configuració per usuari de l’editor predeterminat.
  • S’ha afegit suport per als administradors per definir l’editor per defecte del lloc.
  • S’ha afegit suport per als administradors per permetre als usuaris canviar el seu editor predeterminat.
  • S’ha afegit suport per a administradors de xarxa per evitar que els administradors de llocs canviïn la configuració predeterminada.
  • S’ha afegit suport per emmagatzemar l’últim editor utilitzat per a cada publicació i obrir-lo la pròxima vegada. Activat quan els usuaris poden triar l’editor predeterminat.
  • S’ha afegit “l’estat de l’editor de publicacions” al llistat de publicacions a la pantalla Publicacions. Mostra l’editor que s’obrirà per a la publicació. Activat quan els usuaris poden triar l’editor predeterminat.
  • S’han afegit els filtres classic_editor_enabled_editors_for_post i classic_editor_enabled_editors_for_post_type. Poden ser utilitzats per altres extensions per controlar o anul·lar l’editor utilitzat per a una publicació concreta del tipus de publicació.
  • S’ha afegit el filtre classic_editor_plugin_settings. Pot ser utilitzat per altres extensions per anul·lar la configuració i desactivar la interfície d’usuari de la configuració.

0.5

  • Actualitzat per al Gutenberg 4.1 i per al WordPress 5.0-beta1.
  • S’han eliminat algunes funcionalitats que ara existeixen a Gutenberg.
  • S’ha corregit la redirecció cap a l’editor clàssic després de revisar les publicacions.

0.4

  • S’ha corregit la supressió de la crida externa “Prova Gutenberg” quan l’extensió Gutenberg no està activada.
  • S’ha corregit per mostrar sempre la configuració i l’enllaç de configuració a la taula de llista d’extensions.
  • S’ha actualitzat el text “llegiu-me”.

0.3

  • Actualitzada l’opció des d’una casella de selecció a dos botons d’opció; ara sembla més clara. Gràcies a @designsimply pels suggeriments de text de l’etiqueta.
  • Algunes actualitzacions generals i neteja.

0.2

  • Actualitzat per al Gutenberg 1.9.
  • S’elimina l’avís i la desactivació automàtica quan Gutenberg no estigui actiu.

0.1

Versió inicial.